1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Plesk and PHP upgrade

Discussion in 'Plesk for Linux - 8.x and Older' started by kpimichael, Apr 3, 2006.

  1. kpimichael

    kpimichael Guest

    0
     
    I have 7.5.4 of Plesk with a version of 4.3.10 of php. Sessions are broke. I need to upgrade to 4.3.11 where i understand it is fixed. I am new to Plesk.. can i upgrade PHP and not break Plesk? I was told i could not by my isp. Is that true? If i can, would someone tell me how to do it. I cannot run any of my php code that has sessions in it.

    THnaks in advance young tphenoms for helping an old retired man get a site up.
     
  2. phoenixisp

    phoenixisp Silver Pleskian

    27
    57%
    Joined:
    Feb 2, 2002
    Messages:
    840
    Likes Received:
    0
  3. kpimichael

    kpimichael Guest

    0
     
    I am inexperienced i guess. But i could not find a yum for fedora core 2 alll i found was for core 4 and 5 and they wont work.

    I know that the ART stuff must be good becuase i see it thoughout postings but i cannot get yum installed to go any further. I am on godaddy servers and they use fedora core 2. Any other ideas oh great one.
     
  4. Highland

    Highland Guest

    0
     
    Make sure this is in your yum.conf file
    I use FC2 and that works for me.
     
  5. kpimichael

    kpimichael Guest

    0
     
    when i tried to download yum...and run it...it complains that it will not run without fedora core 4. I am an old retired guy, trying to do this...so i am sure i have made a mistake somewhere...but thats what i get when i try to run it after doing an rpm like this
    PHP:
    rpm -Uvh [url]http://www.fedorafaq.org/yum[/url] 
    then i get this

    PHP:
    errorFailed dependencies:
    fedora-release 4 is needed by yum-fedorafaq-4-2006.02.03
    yum is needed by yum
    -fedorafaq-4-2006.02.03


     
    Perhaps i am reading the error message wrong?
     
  6. phoenixisp

    phoenixisp Silver Pleskian

    27
    57%
    Joined:
    Feb 2, 2002
    Messages:
    840
    Likes Received:
    0
    Try this one

    http://linux.lsu.edu/yum/fedora/2/

    Do:

    #wget http://linux.lsu.edu/yum/fedora/2/yum-2.0.6-1.noarch.rpm

    Then do:

    #rpm -Uvh yum-2.0.6-1.noarch.rpm

    Then open the file /etc/yum.conf and replace contents with ART's setup:

    [atomic]
    name=Atomic Rocket Turtle - $releasever - Atomic PSA-Compatible RPMS
    baseurl=http://3es.atomicrocketturtle.com/atomic/art/$releasever/

    [psa-7.5]
    name=Atomic Rocket Turtle - $releasever - SW-Soft PSA 7.5 RPMS
    baseurl=http://3es.atomicrocketturtle.com/atomic/psa-7.5/$releasever/

    [base]
    name=Atomic Rocket Turtle - $releasever - Base OS RPMS mirror
    baseurl=http://3es.atomicrocketturtle.com/3rd-party/base/$releasever/

    [updates]
    name=Atomic Rocket Turtle - $releasever - OS Update RPMS mirror
    baseurl=http://3es.atomicrocketturtle.com/3rd-party/updates/$releasever/

    Then do:

    #rpm --import http://www.atomicrocketturtle.com/RPM-GPG-KEY.art.txt

    Then finally:

    #yum update php
     
  7. kpimichael

    kpimichael Guest

    0
     
    man... i wish everyone was a clear as you...even a cave man could do it. However, i am an even simplier cro-magnon . I did as suggested and all went well until i did the import... i got this:
    PHP:
     rpm --import [url]http://www.atomicrocketturtle.com/RPM-GPG-KEY.art.txt[/url]
    rpmdbPANICInvalid argument
    rpmdb
    PANICfatal region error detectedrun recovery
    error
    db4 error(-30978from db->openDB_RUNRECOVERYFatal errorrun database recovery errorcannot open Installtid index using db3 -  (-30978)

    ANd just for emphasis...it did it perhaps a 100 times :) Trying to get into my small cranial capacity i guess.

    Thanks for you help. It must be nice to know what you are doing :)
     
  8. phoenixisp

    phoenixisp Silver Pleskian

    27
    57%
    Joined:
    Feb 2, 2002
    Messages:
    840
    Likes Received:
    0
  9. Highland

    Highland Guest

    0
     
    Try this instead
    Code:
    #wget [url]http://www.atomicrocketturtle.com/RPM-GPG-KEY.art.txt[/url]
    #rpm --import RPM-GPG-KEY.art.txt
    #rm RPM-GPG-KEY.art.txt
    Same net effect, just more steps
     
  10. kpimichael

    kpimichael Guest

    0
     
    THANKS GUYS

    Golly gosh darn gee... you guys are good. I hope you are making lots of money :) Thanks for all the help... I am now an experienced cro-magnon man...who know what i will do next.
     
Loading...